WinShopAPI docs
ReferenceProduct

List a product's supplier terms

Returns the per-supplier purchasing terms for this product (purchase price, lead time, minimum order and the like). Requires `Permissions.Product.View`.

GET
/api/products/{productId}/suppliers-infos

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

productId*integer
Formatint32

Response Body

application/json
  1. response
[index: integer]?

One supplier's purchasing terms for a product, such as purchase price and lead time.

curl -X GET 'https://<your-instance>/api/products/0/suppliers-infos' \  -H 'Authorization: Bearer <access-token>'
[  {    "countryOfDispatch": 0,    "deliveryTime": 0,    "guid": "string",    "id": 0,    "isMain": true,    "lastModify": "2019-08-24T14:15:22Z",    "lastPurchasePrice": 0,    "lastPurchasePriceCurrencyId": 0,    "lastPurchasePriceForeignCurrency": 0,    "minQuantityToOrder": 0,    "minimalShelfLife": 0,    "productId": 0,    "productName": "string",    "promoFromDate": "2019-08-24T14:15:22Z",    "promoPurchasePrice": 0,    "promoPurchasePriceForeignCurrency": 0,    "promoPurchasePriceForeignCurrencyId": 0,    "promoToDate": "2019-08-24T14:15:22Z",    "shelfLife": 0,    "supplierId": 0,    "supplierProductCode": "string",    "unitId": 0,    "unitsInPackage": 0,    "warranty": 0  }]